#
# spec file for package python-fastimport
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-fastimport
Version:        0.9.4
Release:        lp150.1.3
Summary:        Fastimport parser in Python
License:        GPL-2.0+
Group:          Development/Libraries/Python
Url:            http://launchpad.net/python-fastimport
Source:         https://pypi.python.org/packages/source/f/fastimport/fastimport-%version.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%py_requires
%else
BuildArch:      noarch
%endif

%description
This is the Python parser that was originally developed for
bzr-fastimport, but extracted so it can be used by other projects.

It is currently used by bzr-fastimport and dulwich. hg-fastimport and
git-remote-hg use a slightly modified version of it.

%prep
%setup -q -n fastimport-%{version}

%build
python setup.py build;

%install
python setup.py install --prefix="%_prefix" --root="%buildroot";

%files
%defattr(-,root,root)
%python_sitelib/fastimport
%python_sitelib/fastimport*egg-info

%changelog
* Tue May  5 2015 benoit.monin@gmx.fr
- update to version 0.9.4:
  * Get handlers from class object using getattr() for possible
    inheritance (Cécile Tonglet)
  * Fix 'check-pypy' by removing use of nonexistant target.
    (masklinn)
  * Use namedtuple for authorship tuple in
    Commit.{author,committer}.(masklinn)
- additional changes from version 0.9.3:
  * Remove unused and untested helper single_plural, invert_dict,
    invert_dictset, defines_to_dict and binary_stream.
    (Jelmer Vernooij)
  * Install NEWS and README files.
- point the source URL to pypi
- pass -n to setup macro: source archive is now named fastimport
- remove documentation: not provided anymore by upstream
* Mon Jul  2 2012 saschpe@suse.de
- Only SLE-11 needs %%pyrequires and there it is not noarch
- Explicit dependency on Python >= 2.4 isn't needed, %%py_requires does that
  for SLE-11 (>2.6) and a more recent RPM does it automatically
* Wed Jun 27 2012 jengelh@inai.de
- Initial package (0.9.2) for build.opensuse.org
